MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021624Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2010-03-12 16:452015-05-14 16:23
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0021624: BRepFeat_SplitShape produce invalid shape
DescriptionBRepFeat_SplitShape tool produce invalid shapes for some input data.
Results checked with 'checkshape' DRAW command. Possible check state errors are:
- Self Intersecting Wire;
- Invalid Curve on Surface;
- Unorientable Shape (as result).

Test data in attached ZIP archive. Simple test DRAW script to reproduce the bug:
restore splitBug.brep cc
explode cc
splitshape res cc_1 cc_1 cc_2 cc_1 cc_3
checkshape res res
TagsNo tags attached.
Test case numberbugs modalg_6 bug21624
Attached Fileszip file icon splitBug.zip (87,065 bytes) 2010-03-12 16:45

- Relationships

-  Notes
(0039604)
nbv (developer)
2015-04-10 17:39

Dear Kirill,

The result seems to be OK.
(0039612)
abv (manager)
2015-04-10 18:32

Please add a test case
(0040061)
git (administrator)
2015-04-20 17:57

Branch CR21624 has been created by apn.

SHA-1: 0f473253057b951b5063a4c66fa075199c2c66b7


Detailed log of new commits:

Author: apn
Date: Mon Apr 20 17:57:07 2015 +0300

    0021624: BRepFeat_SplitShape produce invalid shape
    
    Added test case bugs/modalg_6/bug21624
(0040062)
apn (administrator)
2015-04-20 17:58

Problem is not reproduced on current state of master.
Test case:
bugs modalg_6 bug21624 - OK
(0040918)
git (administrator)
2015-05-14 16:23

Branch CR21624 has been deleted by inv.

SHA-1: 0f473253057b951b5063a4c66fa075199c2c66b7

- Related Changesets
occt: master b0deeecf
Timestamp: 2015-04-20 14:57:07
Author: apn
Committer: bugmaster
Details ] Diff ]
0021624: BRepFeat_SplitShape produce invalid shape

Added test case bugs/modalg_6/bug21624
add - tests/bugs/modalg_6/bug21624 Diff ] File ]

- Issue History
Date Modified Username Field Change
2010-05-13 16:24 bugmaster Assigned To bugmaster => kgv
2010-05-13 16:24 bugmaster Status new => assigned
2010-08-24 13:15 kgv Assigned To kgv => jgv
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2015-04-10 17:39 nbv Note Added: 0039604
2015-04-10 17:39 nbv Assigned To jgv => kgv
2015-04-10 17:39 nbv Status assigned => feedback
2015-04-10 18:32 abv Note Added: 0039612
2015-04-10 18:32 abv Assigned To kgv => apn
2015-04-10 18:32 abv Fixed in Version EMPTY =>
2015-04-10 18:32 abv Target Version => 6.9.0
2015-04-10 18:32 abv Description Updated View Revisions
2015-04-20 17:57 git Note Added: 0040061
2015-04-20 17:58 apn Note Added: 0040062
2015-04-20 17:58 apn Test case number => bugs modalg_6 bug21624
2015-04-20 17:58 apn Assigned To apn => bugmaster
2015-04-20 17:58 apn Status feedback => tested
2015-04-25 17:37 bugmaster Changeset attached => occt master b0deeecf
2015-04-25 17:37 bugmaster Status tested => verified
2015-04-25 17:37 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:23 git Note Added: 0040918


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker